package com.ruoyi.syzy.service;

import java.util.List;
import com.ruoyi.syzy.domain.BBusiWishUniversitySubmitRecruitPlan;
import org.apache.ibatis.annotations.Param;

/**
 * 院校招生计划Service接口
 *
 * @author mingxue
 * @date 2022-06-29
 */
public interface IBBusiWishUniversitySubmitRecruitPlanService
{
    /**
     * 查询院校招生计划
     *
     * @param id 院校招生计划ID
     * @return 院校招生计划
     */
    public BBusiWishUniversitySubmitRecruitPlan selectBBusiWishUniversitySubmitRecruitPlanById(Long id);

    /**
     * 查询院校招生计划列表
     *
     * @param bBusiWishUniversitySubmitRecruitPlan 院校招生计划
     * @return 院校招生计划集合
     */
    public List<BBusiWishUniversitySubmitRecruitPlan> selectBBusiWishUniversitySubmitRecruitPlanList(BBusiWishUniversitySubmitRecruitPlan bBusiWishUniversitySubmitRecruitPlan);

    /**
     * 层次
     *
     * @param location
     * @return
     */
    public List<String> levels(String location,Integer year);
    public Integer selectSubmitRecruitsMaxYearByLocation(@Param("location") String location);

    /**
     * 科类
     *
     * @param location
     * @return
     */
    public List<String> types(String location,Integer year);
    public List<String> selectSubmitRecruitsData(String location,Integer year);

    /**
     * 录取年份
     *
     * @param location
     * @param type
     * @param level
     * @return
     */
    public List<String> years(String location, String type, String level);
    public List<String> getUniversityNameText(String universityCode,String location,Integer year,String type,String level);

    /**
     * 新增院校招生计划
     *
     * @param bBusiWishUniversitySubmitRecruitPlan 院校招生计划
     * @return 结果
     */
    public int insertBBusiWishUniversitySubmitRecruitPlan(BBusiWishUniversitySubmitRecruitPlan bBusiWishUniversitySubmitRecruitPlan);

    /**
     * 修改院校招生计划
     *
     * @param bBusiWishUniversitySubmitRecruitPlan 院校招生计划
     * @return 结果
     */
    public int updateBBusiWishUniversitySubmitRecruitPlan(BBusiWishUniversitySubmitRecruitPlan bBusiWishUniversitySubmitRecruitPlan);

    /**
     * 批量删除院校招生计划
     *
     * @param ids 需要删除的院校招生计划ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitySubmitRecruitPlanByIds(Long[] ids);

    /**
     * 删除院校招生计划信息
     *
     * @param id 院校招生计划ID
     * @return 结果
     */
    public int deleteBBusiWishUniversitySubmitRecruitPlanById(Long id);
}
